## GstVideoDirection

GstVideoDirection — Interface for elements providing video rotation and flipping controls

## Properties

GstVideoOrientationMethod | video-direction | Read / Write / Construct

## Types and Values

| GstVideoDirection
struct | GstVideoDirectionInterface

## Object Hierarchy

        GInterface
        ╰── GstVideoDirection

## Includes

    #include <gst/video/video.h>

## Description

The interface allows unified access to control flipping and rotation operations of video-sources or operators.

## Functions

## Types and Values

### GstVideoDirection

    typedef struct _GstVideoDirection GstVideoDirection;

Opaque GstVideoDirection data structure.

Since: 1.10

### struct GstVideoDirectionInterface

    struct GstVideoDirectionInterface {
      GTypeInterface iface;
    };

GstVideoDirectionInterface interface.

#### Members

GTypeInterface `iface`; | parent interface type. |

Since: 1.10

## Property Details

### The `“video-direction”` property

      “video-direction”          GstVideoOrientationMethod

Video direction: rotation and flipping.

Flags: Read / Write / Construct

Default value: GST_VIDEO_ORIENTATION_IDENTITY